Bug 116091 - Synaptics touchpad need to be supported.
Synaptics touchpad need to be supported.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On: 99509 103497
Blocks: FC3Target 128365
  Show dependency treegraph
 
Reported: 2004-02-18 00:20 EST by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 07:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
omnibook /proc/bus/input/devices (638 bytes, text/plain)
2004-10-04 00:12 EDT, Charles R. Anderson
no flags Details
omnibook /etc/X11/xorg.conf (2.66 KB, text/plain)
2004-10-04 00:18 EDT, Charles R. Anderson
no flags Details

  None (edit)
Description Aleksey Nogin 2004-02-18 00:20:45 EST
Currently s-c-m does not know anything about synaptics touchpad. This
is especially bad since in earlier versions of Fedora Core / Red Hat,
one needed to claim to have a 2-button PS/2 mouse to get it to work at
least partially, but now that does not work, but claiming to have a
2-button USB miouse does.

At a minimum (Severity: normal, or even Severity: high), s-c-m should
have a menu entry for a Synaptics Touchpad and set up gpm and XFree
(and kernel, if necessary) to get things to work. Ideally (Severity:
enhancement) it should configure everything to take advantage of the
Synaptics protocol (not the generic PS/2 intarface that does not know
how to handle "taps", "double-taps", etc).

There are a large number of synaptics-related bugs in Bugzilla already
(against kernel, gpm, XFree86, etc), I am marking them as dependencies
of this one to make it easier to track things.
Comment 1 Paul Nasrat 2004-02-18 00:38:57 EST
Basically I think evdev would need to be loaded by default and then
appropriate poking in /proc/bus/input/devices - which may change to be
under /sys with the driver core patch IIRC.


Comment 2 Bojan Smojver 2004-05-06 02:03:00 EDT
Source RPM from here: http://nogin.org/tmp/, when adjusted to build
with the latest version of the driver (0.13.1) from here
http://w1.894.telia.com/~u89404340/touchpad/ and with xorg-x11 instead
of XFree86, seems to work fine on HP Pavillion ZE4201 notebook.
Comment 3 Brent Fox 2004-05-07 11:41:26 EDT
Deciding about whether to include this driver is outside the scope of
system-config-mouse, so I will reassign this to the 'distribution'
component.  

For what it's worth, I was able to get tap-to-click without the
synaptic driver by adding 'psmouse.proto=imps' to the kernel line of
grub.conf and rebooting.
Comment 4 Aleksey Nogin 2004-05-07 13:29:49 EDT
Note, that gpm _already_ includes support for the event protocol (see
bug 103497), so even before the decision on inclusion of the X driver
is made, s-c-m should recognize the synaptics touchpad hardware and
use the correct gpm switches.
Comment 5 Warren Togami 2004-06-14 21:28:07 EDT
FC3 target, highly requested feature

Please work on trying to convince upstream to relicense the currently
GPL driver to either LGPL or BSD-like.  That would make it easier
license-wise to link against xorg-x11's libs and not encumber the
entire work.
Comment 6 Paul Nasrat 2004-08-02 10:09:38 EDT
synaptics driver for Xorg going into rawhide shortly, then the
s-c-mouse/rhpl adjustments will be made.
Comment 7 John R. Hicks 2004-08-17 10:30:05 EDT
Just a quick question...is the ALPS touchpad patch going to be
included with any subsequent synaptics driver package?
Comment 8 Paul Nasrat 2004-08-19 06:49:55 EDT
The alps patch is against the kernel if it gets upstream then it'll be
in our kernel package
Comment 9 Paul Nasrat 2004-09-22 16:02:27 EDT
the rhpl changes should be hitting tomorrows rawhide so fc3t3 should
configure touchpad correctly
Comment 10 Charles R. Anderson 2004-10-04 00:12:14 EDT
Created attachment 104699 [details]
omnibook /proc/bus/input/devices

Not working here on either of two laptops (IBM ThinkPad T42p, HP 
OmniBook 6000), both freshly formatted and installed with todays
rawhide.

kudzu-1.1.92-1
hwdata-0.140-1
rhpl-0.147-1
synaptics-0.13.5-5
system-config-display-1.0.21-1
system-config-mouse-1.2.9-1

After the install, running system-config-mouse showed that it had
detected a "Synaptics Synaptics Touchpad".  Normal cursor movement
works fine, but with none of the enhanced features like tap-clicking, 
tap-dragging, or side-scrolling.  Note that no lines were added to    
grub as had been required in the past to get basic functionality 
working.

There was no mention of synaptics in xorg.conf, so I ran the
system-config-display --reconfigure command, but nothing    
synaptics-related was added to xorg.conf.
Comment 11 Charles R. Anderson 2004-10-04 00:18:13 EDT
Created attachment 104700 [details]
omnibook /etc/X11/xorg.conf

Config generated after "system-config-display --reconfig" and manual selection
of Generic LCD 1024x768, Resolution 1024x768, Thousands of Colors.
Comment 12 Charles R. Anderson 2004-10-04 01:51:22 EDT
/etc/sysconfig/hwconf on both omnibook and thinkpad have these class:
MOUSE sections in this order.

-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "PS/2 Generic Mouse"
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: synaptics
desc: "SynPS/2 Synaptics TouchPad"
-
Comment 13 Paul Nasrat 2004-10-04 04:16:34 EDT
Charles, I think you've been hit laptops which display two ps2 mouse
devices for the touchpad, currently we are only looking at the first.

Could you open a new bug - to support laptops that represent multiple
PS/2 devices against synaptics.  Thanks.
Comment 14 Paul Nasrat 2004-10-04 07:41:05 EDT
Charles - added you as CC: to another bug # 134503 re. dual pointer
config.

Closing this bug as initial work complete.  Removing bug # 112473 from
blocking this one.

Note You need to log in before you can comment on or make changes to this bug.